Method: organizations.userinfo
Retrieves claims about the authenticated user from the OIDC /userinfo endpoint.
Note: This endpoint is only supported for Looker.
HTTP request
GET https://cloudoauth.googleapis.com/v1/{parent=organizations/*}/userinfo
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters |
parent |
string
Optional. The parent organization resource for which user info is being fetched. Format: organizations/{organization_id}.
|
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Struct.
Authorization scopes
Requires the following OAuth scope:
For more information, see the Authentication Overview.
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-09-16 UTC.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-09-16 UTC."],[],[]]